# Description

This package contains some launch files to perform simple operations with the Ana robot. At the moment the included lauch files are:

 * keyboard_teleop.launch: used to operate the robot using the keyboard.

# Dependencies

This node has the following dependencies:

 * [teleop_twist_keyboard](http://wiki.ros.org/teleop_twist_keyboard)

All dependencies can be installed using the [rosdep tool](http://wiki.ros.org/rosdep).

# Install

This package, as well as all IRI dependencies, can be installed by cloning the
repository inside the active workspace:

```
roscd
cd ../src
git clone https://gitlab.iri.upc.edu/labrobotica/ros/robots/ana/iri_ana_launch.git 
```

However, this package is normally used as part of a wider installation (i.e. a
robot, an experiment or a demosntration) which will normally include a complete
rosinstall file to be used with the [wstool](http://wiki.ros.org/wstool) tool.

# How to use it

To teleoperate the robot with a keyboard go [here](./docs/keyboard_teleop.md).
